@use "../abstract/" as abs;

.footer{
    @include abs.gridItemPos(#{'4 / -1'} , #{'1 / -1'});
    @include abs.flexPosition(_, space-around, start);
    padding: 5rem 0;
    border-top: .1rem solid rgba(abs.color(primary), .3);

    @include abs.respond(lg){
        flex-wrap: wrap;
    }


    &-nav{
        @include abs.footerList;
    }

    &-contact{

        @include abs.respond(lg){
            padding: 0 10rem;
            order: 1;
            margin-top: 4rem;
        }

        &__heading{
            font-size: abs.font-size(xl);
            color: abs.color(primary);
            text-align: center;

            @include abs.respond(md){
                font-size: abs.font-size(lg);
            }
        }

        &__paragraph{
            font-size: abs.font-size(lg);
            margin: 1rem 0 4rem;
            text-align: center;

            @include abs.respond(md){
                font-size: abs.font-size(md);
            }
        }
    }

    &-input-groups{
        display: flex;
        justify-content: center;

        @include abs.respond(sm){
            flex-wrap: wrap;
        }

        input{
            font-size: abs.font-size(xs);
            padding: 1rem;
            margin: 1rem .5rem;
            border: .1rem  solid darken(abs.color(primary), 10%);
            border-radius: 3px;
            outline: none;
            transition: border .5s;

            &:focus:not([type="submit"]){
                border: .1rem solid darken(abs.color(quarternary), 30%);
            }
        }

        &__text{
            width: 50%;

            @include abs.respond(sm){
                width: 100%;
            }
        }

        &__email{
            width: 60%;

            @include abs.respond(sm){
                width: 100%;
            }
        }

        &__btn{
            width: 40%;
            color: abs.color(secondary);
            background-color: lighten(abs.color(primary), 20%);
            transition: all .2s;

            &:hover{
                background-color: abs.color(primary);
            }

            @include abs.respond(sm){
                width: 100%;
            }
        }
    }

    &-social-icons{

        &__list{
            display: flex;
            justify-content: space-between;
            padding: 1rem;
            box-sizing: inherit;
            margin-top: 2rem;
        }

        &__link:link, &__link:visited{
            display: block;
            width: 4rem;
            aspect-ratio: 1 / 1;
            border-radius: 50%;
            border: .1rem solid abs.color(primary);
            @include abs.flexPosition;

            @include abs.respond(sm){
                width: 3rem;
            }

            i {
                font-size: abs.font-size(md);

                @include abs.respond(sm){
                    font-size: abs.font-size(sm);
                }
            }

            
        }

        // Social Media Colors
        @each $color in abs.$socMedColors{
            &__item:nth-child(#{nth($color, 1)}) &__link{
                color: nth($color, 2);
                border: .1rem solid nth($color, 2);
                transition: all .3s;

                &:hover{
                    background-color: lighten(nth($color, 2), 1%);
                    color: lighten(nth($color, 2), 80%) ;
                    border: none;
                }
            }
        }
    }
}